<mat-form-field class="input-time-picker" appearance="outline" floatLabel="never">
  <input type="text"
         matInput
         [placeholder]="placeholder"
         [(ngModel)]="value"
         [readonly]="true"
         [errorStateMatcher]="errorStateMatcher"
         [ngxTimepicker]="fullTime"
         [disableClick]="disabled"
         [disabled]="disabled"
         [format]="24"/>
  <mat-error *ngIf="showError">{{errorTxt}}</mat-error>
  <ngx-material-timepicker
    #fullTime
    [preventOverlayClick]="false"
    [enableKeyboardInput]="true"
    (timeSet)="onTouched()"></ngx-material-timepicker>
</mat-form-field>
